## org.apache.tools.ant.taskdefs.optional.sitraka
Class Socket

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sitraka.Socket

public class Socket
extends java.lang.Object

Define a host and port to connect to if you want to do remote viewing. `<socket/>` defaults to host 127.0.0.1 and port 4444 Otherwise it requires the host and port attributes to be set: `<socket host="e;175.30.12.1"e; port="e;4567"e;/>`

Constructor Summary
`Socket()`

Method Summary
`void` `setHost(java.lang.String value)` the host name/ip of the machine on which the Viewer is running; defaults to localhost.
`void` `setPort(java.lang.Integer value)` Optional port number for the viewer; default is 4444
`java.lang.String` `toString()` if no host is set, returning ':<port>', will take localhost

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Socket

    public Socket()

Method Detail

### setHost

    public void setHost(java.lang.String value)

  the host name/ip of the machine on which the Viewer is running; defaults to localhost.

### setPort

    public void setPort(java.lang.Integer value)

  Optional port number for the viewer; default is 4444

### toString

    public java.lang.String toString()

  if no host is set, returning ':<port>', will take localhost

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.